//    WDG.h   :   Header file for WDG.dll
//

enum {
    InterfaceTypeUndefined = -1,
    Internal,
    Isa,
    Eisa,
    MicroChannel,
    TurboChannel,
    PCIBus,
    VMEBus,
    NuBus,
    PCMCIABus,
    CBus,
    MPIBus,
    MPSABus,
    ProcessorInternal,
    InternalPowerBus,
    PNPISABus,
    MaximumInterfaceType
};

#define IGNORE_TIMEOUT		1
#define DISABLE_TIMEOUT		2
#define SHUTDOWN_TIMEOUT	3

extern "C" __declspec(dllimport) unsigned char WDGSetHandler(unsigned long Base, unsigned short IRQ, short BusType, unsigned char BusNumber, unsigned char HandleCOS, unsigned char HandleTimeout, unsigned short TimeoutOp);
extern "C" __declspec(dllimport) unsigned char WDGGetStatus(void *Data);
extern "C" __declspec(dllimport) void WDGInit(unsigned long addr);
extern "C" __declspec(dllimport) double WDGSetTimeout(double milliseconds, double clockrate);
extern "C" __declspec(dllimport) double WDGResetDuration(double milliseconds, double clockrate);
extern "C" __declspec(dllimport) short WDGPrompt(void);
extern "C" __declspec(dllimport) double WDGReadTemp(void);
extern "C" __declspec(dllimport) unsigned char WDGReadStatus(void);
extern "C" __declspec(dllimport) short WDGStart(void);
extern "C" __declspec(dllimport) short WDGStop(void);
extern "C" __declspec(dllimport) char WDGEmergencyShutdown(void);
